NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Motion::AnalyticalContactBuilder Class Reference

Represents a Motion::AnalyticalContact builder
To create a new instance of this class, use NXOpen::Motion::AnalyticalContactCollection::CreateAnalyticalContactBuilder
Default values. More...

Inheritance diagram for NXOpen::Motion::AnalyticalContactBuilder:
NXOpen::Motion::MotionBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ContactTypeOption {
  ContactTypeOptionSphereToSphere, ContactTypeOptionSphereToExtrusion, ContactTypeOptionSphereToRevolution, ContactTypeOptionExtrusionToRevolution,
  ContactTypeOptionRevolutionToRevolution, ContactTypeOptionSphereToRail
}
 Contact type. More...
 
enum  ProfileType { ProfileTypeNone, ProfileTypeCircular, ProfileTypeRoad }
 Profile Type. More...
 

Public Member Functions

NXOpen::Motion::SelectAnalyticalContactPropertyContactProperty ()
 Returns the contact property
Created in NX12.0.0. More...
 
NXOpen::Motion::AnalyticalContactBuilder::ContactTypeOption ContactType ()
 Returns the type
Created in NX12.0.0. More...
 
NXOpen::ExpressionEffectiveContactDepth ()
 Returns the max penetration depth
Created in NX12.0.0. More...
 
NXOpen::SelectNXObjectListExtrusionBodies ()
 Returns the extrusion bodies
Created in NX12.0.0. More...
 
bool ExtrusionGeometryData ()
 Returns the extrusion line-arc file option
Created in NX12.0.0. More...
 
NXString ExtrusionGeometryDataFile ()
 Returns the extrusion line-arc file. More...
 
NXOpen::Motion::SelectLinkExtrusionLink ()
 Returns the extrusion link
Created in NX12.0.0. More...
 
bool ExtrusionMaterialSide ()
 Returns the material side toggle for extrusion
Created in NX12.0.0. More...
 
bool FindAllRoots ()
 Returns the find all roots
Created in NX12.0.0. More...
 
int FirstSuperElementIncrement ()
 Returns the first super element increment
Created in NX12.0.0. More...
 
NXOpen::Motion::SelectLinkFirstSuperElementLink ()
 Returns the first super element link
Created in NX12.0.0. More...
 
bool InfiniteExtrusion ()
 Returns the infinite extrusion
Created in NX12.0.0. More...
 
bool InfiniteSweep ()
 Returns the infinite sweep for rail
Created in NX12.0.0. More...
 
NXOpen::ExpressionMaxTesselationLength ()
 Returns the max tesselation length
Created in NX12.0.0. More...
 
NXString Name ()
 Returns the string name
Created in NX12.0.0. More...
 
NXOpen::ExpressionPartialSphereAngle ()
 Returns the partial sphere angle
Created in NX12.0.0. More...
 
bool PartialSphereOption ()
 Returns the partial sphere option
Created in NX12.0.0. More...
 
NXOpen::DirectionPartialSphereVector ()
 Returns the partial sphere vector
Created in NX12.0.0. More...
 
NXOpen::Motion::AnalyticalContactBuilder::ProfileType Profile ()
 Returns the profile
Created in NX12.0.0. More...
 
NXOpen::ExpressionRadiusOfExclusion ()
 Returns the radius of exclusion
Created in NX12.0.0. More...
 
NXOpen::SelectNXObjectListRailBodies ()
 Returns the rail bodies
Created in NX12.0.0. More...
 
NXOpen::SectionRailCurve ()
 Returns the rail curve
Created in NX12.0.0. More...
 
bool RailGeometryData ()
 Returns the rail line-arc file option
Created in NX12.0.0. More...
 
NXString RailGeometryDataFile ()
 Returns the rail line-arc file. More...
 
NXOpen::Motion::SelectLinkRailLink ()
 Returns the rail link
Created in NX12.0.0. More...
 
bool RailMaterialSide ()
 Returns the material side toggle for rail
Created in NX12.0.0. More...
 
NXOpen::Motion::MotionFunctionRailRollAngleCurve ()
 Returns the RailRollAngle function
Created in NX12.0.0. More...
 
bool RailSplineFunctions ()
 Returns the spline function toggle for rail
Created in NX12.0.0. More...
 
NXOpen::Motion::MotionFunctionRailXCurve ()
 Returns the RailX function
Created in NX12.0.0. More...
 
NXOpen::Motion::MotionFunctionRailYCurve ()
 Returns the RailY function
Created in NX12.0.0. More...
 
NXOpen::Motion::MotionFunctionRailZCurve ()
 Returns the RailZ function
Created in NX12.0.0. More...
 
NXOpen::SelectNXObjectListRevolutionBodies ()
 Returns the revolution bodies
Created in NX12.0.0. More...
 
bool RevolutionGeometryData ()
 Returns the revolution line-arc file option
Created in NX12.0.0. More...
 
NXString RevolutionGeometryDataFile ()
 Returns the revolution line-arc file. More...
 
NXOpen::Motion::SelectLinkRevolutionLink ()
 Returns the revolution link
Created in NX12.0.0. More...
 
bool RevolutionMaterialSide ()
 Returns the material side toggle for revolution
Created in NX12.0.0. More...
 
NXOpen::SelectNXObjectListSecondRevolutionBodies ()
 Returns the second revolution bodies
Created in NX12.0.0. More...
 
bool SecondRevolutionGeometryData ()
 Returns the second revolution line-arc file option
Created in NX12.0.0. More...
 
NXString SecondRevolutionGeometryDataFile ()
 Returns the second revolution line-arc file. More...
 
NXOpen::Motion::SelectLinkSecondRevolutionLink ()
 Returns the second revolution link
Created in NX12.0.0. More...
 
bool SecondRevolutionMaterialSide ()
 Returns the material side toggle for second revolution
Created in NX12.0.0. More...
 
NXOpen::Motion::SelectLinkSecondSphereLink ()
 Returns the second sphere link
Created in NX12.0.0. More...
 
NXOpen::PointSecondSpherePoint ()
 Returns the second sphere point
Created in NX12.0.0. More...
 
NXOpen::ExpressionSecondSphereRadius ()
 Returns the second sphere radius
Created in NX12.0.0. More...
 
int SecondSuperElementIncrement ()
 Returns the second super element increment
Created in NX12.0.0. More...
 
NXOpen::Motion::SelectLinkSecondSuperElementLink ()
 Returns the second super element link
Created in NX12.0.0. More...
 
void SetContactType (NXOpen::Motion::AnalyticalContactBuilder::ContactTypeOption type)
 Sets the type
Created in NX12.0.0. More...
 
void SetExtrusionGeometryData (bool geometryDataOption)
 Sets the extrusion line-arc file option
Created in NX12.0.0. More...
 
void SetExtrusionGeometryDataFile (const NXString &fileName)
 Sets the extrusion line-arc file. More...
 
void SetExtrusionGeometryDataFile (const char *fileName)
 Sets the extrusion line-arc file. More...
 
void SetExtrusionMaterialSide (bool matSide)
 Sets the material side toggle for extrusion
Created in NX12.0.0. More...
 
void SetFindAllRoots (bool findAllRoots)
 Sets the find all roots
Created in NX12.0.0. More...
 
void SetFirstSuperElementIncrement (int firstSuperElementIncrement)
 Sets the first super element increment
Created in NX12.0.0. More...
 
void SetInfiniteExtrusion (bool infiniteExtrusion)
 Sets the infinite extrusion
Created in NX12.0.0. More...
 
void SetInfiniteSweep (bool infiniteSweep)
 Sets the infinite sweep for rail
Created in NX12.0.0. More...
 
void SetName (const NXString &name)
 Sets the string name
Created in NX12.0.0. More...
 
void SetName (const char *name)
 Sets the string name
Created in NX12.0.0. More...
 
void SetPartialSphereOption (bool partialSphereOption)
 Sets the partial sphere option
Created in NX12.0.0. More...
 
void SetPartialSphereVector (NXOpen::Direction *partialSphereVector)
 Sets the partial sphere vector
Created in NX6.0.0. More...
 
void SetProfile (NXOpen::Motion::AnalyticalContactBuilder::ProfileType profileType)
 Sets the profile
Created in NX12.0.0. More...
 
void SetRailGeometryData (bool geometryDataOption)
 Sets the rail line-arc file option
Created in NX12.0.0. More...
 
void SetRailGeometryDataFile (const NXString &fileName)
 Sets the rail line-arc file. More...
 
void SetRailGeometryDataFile (const char *fileName)
 Sets the rail line-arc file. More...
 
void SetRailMaterialSide (bool matSide)
 Sets the material side toggle for rail
Created in NX12.0.0. More...
 
void SetRailRollAngleCurve (NXOpen::Motion::MotionFunction *railCurve)
 Sets the RailRollAngle function
Created in NX12.0.0. More...
 
void SetRailSplineFunctions (bool functionsToggle)
 Sets the spline function toggle for rail
Created in NX12.0.0. More...
 
void SetRailXCurve (NXOpen::Motion::MotionFunction *railCurve)
 Sets the RailX function
Created in NX12.0.0. More...
 
void SetRailYCurve (NXOpen::Motion::MotionFunction *railCurve)
 Sets the RailY function
Created in NX12.0.0. More...
 
void SetRailZCurve (NXOpen::Motion::MotionFunction *railCurve)
 Sets the RailZ function
Created in NX12.0.0. More...
 
void SetRevolutionGeometryData (bool geometryDataOption)
 Sets the revolution line-arc file option
Created in NX12.0.0. More...
 
void SetRevolutionGeometryDataFile (const NXString &fileName)
 Sets the revolution line-arc file. More...
 
void SetRevolutionGeometryDataFile (const char *fileName)
 Sets the revolution line-arc file. More...
 
void SetRevolutionMaterialSide (bool matSide)
 Sets the material side toggle for revolution
Created in NX12.0.0. More...
 
void SetSecondRevolutionGeometryData (bool geometryDataOption)
 Sets the second revolution line-arc file option
Created in NX12.0.0. More...
 
void SetSecondRevolutionGeometryDataFile (const NXString &fileName)
 Sets the second revolution line-arc file. More...
 
void SetSecondRevolutionGeometryDataFile (const char *fileName)
 Sets the second revolution line-arc file. More...
 
void SetSecondRevolutionMaterialSide (bool matSide)
 Sets the material side toggle for second revolution
Created in NX12.0.0. More...
 
void SetSecondSpherePoint (NXOpen::Point *secondSpherePoint)
 Sets the second sphere point
Created in NX12.0.0. More...
 
void SetSecondSuperElementIncrement (int sSecondSuperElementIncrement)
 Sets the second super element increment
Created in NX12.0.0. More...
 
void SetSpherePoint (NXOpen::Point *spherePoint)
 Sets the sphere point
Created in NX12.0.0. More...
 
void SetSuperElementReportInstance (int superElementReportInstance)
 Sets the super element report instance
Created in NX12.0.0. More...
 
NXOpen::Motion::SelectLinkSphereLink ()
 Returns the sphere link
Created in NX12.0.0. More...
 
NXOpen::PointSpherePoint ()
 Returns the sphere point
Created in NX12.0.0. More...
 
NXOpen::ExpressionSphereRadius ()
 Returns the sphere radius
Created in NX12.0.0. More...
 
int SuperElementReportInstance ()
 Returns the super element report instance
Created in NX12.0.0. More...
 
- Public Member Functions inherited from NXOpen::Motion::MotionBuilder
double DisplayScale ()
 Returns the icon display scale
Created in NX5.0.0. More...
 
NXString GroupName ()
 Returns the group name
Created in NX5.0.0. More...
 
NXOpen::Motion::MotionObject::GroupType GroupType ()
 Returns the group type
Created in NX5.0.0. More...
 
void SetDisplayScale (double displayScale)
 Sets the icon display scale
Created in NX5.0.0. More...
 
void SetGroupName (const NXString &groupName)
 Sets the group name
Created in NX5.0.0. More...
 
void SetGroupName (const char *groupName)
 Sets the group name
Created in NX5.0.0. More...
 
void SetGroupType (NXOpen::Motion::MotionObject::GroupType groupType)
 Sets the group type
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Motion::AnalyticalContact builder
To create a new instance of this class, use NXOpen::Motion::AnalyticalContactCollection::CreateAnalyticalContactBuilder
Default values.

Property Value

ContactType

SphereToSphere

EffectiveContactDepth.Value

1000 (millimeters part), 39.3701 (inches part)

ExtrusionGeometryData

0

ExtrusionMaterialSide

1

FindAllRoots

0

FirstSuperElementIncrement

1

InfiniteExtrusion

0

InfiniteSweep

0

MaxTesselationLength.Value

5 (millimeters part), 0.19685 (inches part)

Profile

None

RadiusOfExclusion.Value

0 (millimeters part), 0 (inches part)

RailGeometryData

0

RailMaterialSide

1

RevolutionGeometryData

0

RevolutionMaterialSide

1

SecondRevolutionGeometryData

0

SecondRevolutionMaterialSide

1

SecondSphereRadius.Value

1000 (millimeters part), 39.3701 (inches part)

SecondSuperElementIncrement

1

SphereRadius.Value

1000 (millimeters part), 39.3701 (inches part)

SuperElementReportInstance

1


Created in NX12.0.0.

Member Enumeration Documentation

Contact type.

Enumerator
ContactTypeOptionSphereToSphere 

sphere to sphere

ContactTypeOptionSphereToExtrusion 

sphere to extrusion

ContactTypeOptionSphereToRevolution 

sphere to revolution

ContactTypeOptionExtrusionToRevolution 

extrusion to revolution

ContactTypeOptionRevolutionToRevolution 

revolution to revolution

ContactTypeOptionSphereToRail 

sphere to rail

Profile Type.

Enumerator
ProfileTypeNone 

none

ProfileTypeCircular 

circular

ProfileTypeRoad 

road

Member Function Documentation

NXOpen::Motion::SelectAnalyticalContactProperty* NXOpen::Motion::AnalyticalContactBuilder::ContactProperty ( )

Returns the contact property
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::AnalyticalContactBuilder::ContactTypeOption NXOpen::Motion::AnalyticalContactBuilder::ContactType ( )

Returns the type
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Expression* NXOpen::Motion::AnalyticalContactBuilder::EffectiveContactDepth ( )

Returns the max penetration depth
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::SelectNXObjectList* NXOpen::Motion::AnalyticalContactBuilder::ExtrusionBodies ( )

Returns the extrusion bodies
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

bool NXOpen::Motion::AnalyticalContactBuilder::ExtrusionGeometryData ( )

Returns the extrusion line-arc file option
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXString NXOpen::Motion::AnalyticalContactBuilder::ExtrusionGeometryDataFile ( )

Returns the extrusion line-arc file.

This is a file containing information describing the extrusion profile.
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::SelectLink* NXOpen::Motion::AnalyticalContactBuilder::ExtrusionLink ( )

Returns the extrusion link
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

bool NXOpen::Motion::AnalyticalContactBuilder::ExtrusionMaterialSide ( )

Returns the material side toggle for extrusion
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

bool NXOpen::Motion::AnalyticalContactBuilder::FindAllRoots ( )

Returns the find all roots
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

int NXOpen::Motion::AnalyticalContactBuilder::FirstSuperElementIncrement ( )

Returns the first super element increment
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::SelectLink* NXOpen::Motion::AnalyticalContactBuilder::FirstSuperElementLink ( )

Returns the first super element link
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

bool NXOpen::Motion::AnalyticalContactBuilder::InfiniteExtrusion ( )

Returns the infinite extrusion
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

bool NXOpen::Motion::AnalyticalContactBuilder::InfiniteSweep ( )

Returns the infinite sweep for rail
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Expression* NXOpen::Motion::AnalyticalContactBuilder::MaxTesselationLength ( )

Returns the max tesselation length
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXString NXOpen::Motion::AnalyticalContactBuilder::Name ( )

Returns the string name
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Expression* NXOpen::Motion::AnalyticalContactBuilder::PartialSphereAngle ( )

Returns the partial sphere angle
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

bool NXOpen::Motion::AnalyticalContactBuilder::PartialSphereOption ( )

Returns the partial sphere option
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Direction* NXOpen::Motion::AnalyticalContactBuilder::PartialSphereVector ( )

Returns the partial sphere vector
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::AnalyticalContactBuilder::ProfileType NXOpen::Motion::AnalyticalContactBuilder::Profile ( )

Returns the profile
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Expression* NXOpen::Motion::AnalyticalContactBuilder::RadiusOfExclusion ( )

Returns the radius of exclusion
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::SelectNXObjectList* NXOpen::Motion::AnalyticalContactBuilder::RailBodies ( )

Returns the rail bodies
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Section* NXOpen::Motion::AnalyticalContactBuilder::RailCurve ( )

Returns the rail curve
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

bool NXOpen::Motion::AnalyticalContactBuilder::RailGeometryData ( )

Returns the rail line-arc file option
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXString NXOpen::Motion::AnalyticalContactBuilder::RailGeometryDataFile ( )

Returns the rail line-arc file.

This is a file containing information describing the rail profile.
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::SelectLink* NXOpen::Motion::AnalyticalContactBuilder::RailLink ( )

Returns the rail link
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

bool NXOpen::Motion::AnalyticalContactBuilder::RailMaterialSide ( )

Returns the material side toggle for rail
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::MotionFunction* NXOpen::Motion::AnalyticalContactBuilder::RailRollAngleCurve ( )

Returns the RailRollAngle function
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

bool NXOpen::Motion::AnalyticalContactBuilder::RailSplineFunctions ( )

Returns the spline function toggle for rail
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::MotionFunction* NXOpen::Motion::AnalyticalContactBuilder::RailXCurve ( )

Returns the RailX function
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::MotionFunction* NXOpen::Motion::AnalyticalContactBuilder::RailYCurve ( )

Returns the RailY function
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::MotionFunction* NXOpen::Motion::AnalyticalContactBuilder::RailZCurve ( )

Returns the RailZ function
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::SelectNXObjectList* NXOpen::Motion::AnalyticalContactBuilder::RevolutionBodies ( )

Returns the revolution bodies
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

bool NXOpen::Motion::AnalyticalContactBuilder::RevolutionGeometryData ( )

Returns the revolution line-arc file option
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXString NXOpen::Motion::AnalyticalContactBuilder::RevolutionGeometryDataFile ( )

Returns the revolution line-arc file.

This is a file containing information describing the revolution profile.
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::SelectLink* NXOpen::Motion::AnalyticalContactBuilder::RevolutionLink ( )

Returns the revolution link
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

bool NXOpen::Motion::AnalyticalContactBuilder::RevolutionMaterialSide ( )

Returns the material side toggle for revolution
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::SelectNXObjectList* NXOpen::Motion::AnalyticalContactBuilder::SecondRevolutionBodies ( )

Returns the second revolution bodies
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

bool NXOpen::Motion::AnalyticalContactBuilder::SecondRevolutionGeometryData ( )

Returns the second revolution line-arc file option
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXString NXOpen::Motion::AnalyticalContactBuilder::SecondRevolutionGeometryDataFile ( )

Returns the second revolution line-arc file.

This is a file containing information describing the second revolution profile.
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::SelectLink* NXOpen::Motion::AnalyticalContactBuilder::SecondRevolutionLink ( )

Returns the second revolution link
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

bool NXOpen::Motion::AnalyticalContactBuilder::SecondRevolutionMaterialSide ( )

Returns the material side toggle for second revolution
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::SelectLink* NXOpen::Motion::AnalyticalContactBuilder::SecondSphereLink ( )

Returns the second sphere link
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Point* NXOpen::Motion::AnalyticalContactBuilder::SecondSpherePoint ( )

Returns the second sphere point
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Expression* NXOpen::Motion::AnalyticalContactBuilder::SecondSphereRadius ( )

Returns the second sphere radius
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

int NXOpen::Motion::AnalyticalContactBuilder::SecondSuperElementIncrement ( )

Returns the second super element increment
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::SelectLink* NXOpen::Motion::AnalyticalContactBuilder::SecondSuperElementLink ( )

Returns the second super element link
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

void NXOpen::Motion::AnalyticalContactBuilder::SetContactType ( NXOpen::Motion::AnalyticalContactBuilder::ContactTypeOption  type)

Sets the type
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
typetype
void NXOpen::Motion::AnalyticalContactBuilder::SetExtrusionGeometryData ( bool  geometryDataOption)

Sets the extrusion line-arc file option
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
geometryDataOptiongeometrydataoption
void NXOpen::Motion::AnalyticalContactBuilder::SetExtrusionGeometryDataFile ( const NXString fileName)

Sets the extrusion line-arc file.

This is a file containing information describing the extrusion profile.
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")

Parameters
fileNamefilename
void NXOpen::Motion::AnalyticalContactBuilder::SetExtrusionGeometryDataFile ( const char *  fileName)

Sets the extrusion line-arc file.

This is a file containing information describing the extrusion profile.
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")

Parameters
fileNamefilename
void NXOpen::Motion::AnalyticalContactBuilder::SetExtrusionMaterialSide ( bool  matSide)

Sets the material side toggle for extrusion
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
matSidematside
void NXOpen::Motion::AnalyticalContactBuilder::SetFindAllRoots ( bool  findAllRoots)

Sets the find all roots
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
findAllRootsfindallroots
void NXOpen::Motion::AnalyticalContactBuilder::SetFirstSuperElementIncrement ( int  firstSuperElementIncrement)

Sets the first super element increment
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
firstSuperElementIncrementfirstsuperelementincrement
void NXOpen::Motion::AnalyticalContactBuilder::SetInfiniteExtrusion ( bool  infiniteExtrusion)

Sets the infinite extrusion
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
infiniteExtrusioninfiniteextrusion
void NXOpen::Motion::AnalyticalContactBuilder::SetInfiniteSweep ( bool  infiniteSweep)

Sets the infinite sweep for rail
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
infiniteSweepinfinitesweep
void NXOpen::Motion::AnalyticalContactBuilder::SetName ( const NXString name)

Sets the string name
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
namename
void NXOpen::Motion::AnalyticalContactBuilder::SetName ( const char *  name)

Sets the string name
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
namename
void NXOpen::Motion::AnalyticalContactBuilder::SetPartialSphereOption ( bool  partialSphereOption)

Sets the partial sphere option
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
partialSphereOptionpartialsphereoption
void NXOpen::Motion::AnalyticalContactBuilder::SetPartialSphereVector ( NXOpen::Direction partialSphereVector)

Sets the partial sphere vector
Created in NX6.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
partialSphereVectorpartialspherevector
void NXOpen::Motion::AnalyticalContactBuilder::SetProfile ( NXOpen::Motion::AnalyticalContactBuilder::ProfileType  profileType)

Sets the profile
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
profileTypeprofiletype
void NXOpen::Motion::AnalyticalContactBuilder::SetRailGeometryData ( bool  geometryDataOption)

Sets the rail line-arc file option
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
geometryDataOptiongeometrydataoption
void NXOpen::Motion::AnalyticalContactBuilder::SetRailGeometryDataFile ( const NXString fileName)

Sets the rail line-arc file.

This is a file containing information describing the rail profile.
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")

Parameters
fileNamefilename
void NXOpen::Motion::AnalyticalContactBuilder::SetRailGeometryDataFile ( const char *  fileName)

Sets the rail line-arc file.

This is a file containing information describing the rail profile.
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")

Parameters
fileNamefilename
void NXOpen::Motion::AnalyticalContactBuilder::SetRailMaterialSide ( bool  matSide)

Sets the material side toggle for rail
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
matSidematside
void NXOpen::Motion::AnalyticalContactBuilder::SetRailRollAngleCurve ( NXOpen::Motion::MotionFunction railCurve)

Sets the RailRollAngle function
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
railCurverailcurve
void NXOpen::Motion::AnalyticalContactBuilder::SetRailSplineFunctions ( bool  functionsToggle)

Sets the spline function toggle for rail
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
functionsTogglefunctionstoggle
void NXOpen::Motion::AnalyticalContactBuilder::SetRailXCurve ( NXOpen::Motion::MotionFunction railCurve)

Sets the RailX function
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
railCurverailcurve
void NXOpen::Motion::AnalyticalContactBuilder::SetRailYCurve ( NXOpen::Motion::MotionFunction railCurve)

Sets the RailY function
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
railCurverailcurve
void NXOpen::Motion::AnalyticalContactBuilder::SetRailZCurve ( NXOpen::Motion::MotionFunction railCurve)

Sets the RailZ function
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
railCurverailcurve
void NXOpen::Motion::AnalyticalContactBuilder::SetRevolutionGeometryData ( bool  geometryDataOption)

Sets the revolution line-arc file option
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
geometryDataOptiongeometrydataoption
void NXOpen::Motion::AnalyticalContactBuilder::SetRevolutionGeometryDataFile ( const NXString fileName)

Sets the revolution line-arc file.

This is a file containing information describing the revolution profile.
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")

Parameters
fileNamefilename
void NXOpen::Motion::AnalyticalContactBuilder::SetRevolutionGeometryDataFile ( const char *  fileName)

Sets the revolution line-arc file.

This is a file containing information describing the revolution profile.
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")

Parameters
fileNamefilename
void NXOpen::Motion::AnalyticalContactBuilder::SetRevolutionMaterialSide ( bool  matSide)

Sets the material side toggle for revolution
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
matSidematside
void NXOpen::Motion::AnalyticalContactBuilder::SetSecondRevolutionGeometryData ( bool  geometryDataOption)

Sets the second revolution line-arc file option
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
geometryDataOptiongeometrydataoption
void NXOpen::Motion::AnalyticalContactBuilder::SetSecondRevolutionGeometryDataFile ( const NXString fileName)

Sets the second revolution line-arc file.

This is a file containing information describing the second revolution profile.
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")

Parameters
fileNamefilename
void NXOpen::Motion::AnalyticalContactBuilder::SetSecondRevolutionGeometryDataFile ( const char *  fileName)

Sets the second revolution line-arc file.

This is a file containing information describing the second revolution profile.
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")

Parameters
fileNamefilename
void NXOpen::Motion::AnalyticalContactBuilder::SetSecondRevolutionMaterialSide ( bool  matSide)

Sets the material side toggle for second revolution
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
matSidematside
void NXOpen::Motion::AnalyticalContactBuilder::SetSecondSpherePoint ( NXOpen::Point secondSpherePoint)

Sets the second sphere point
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
secondSpherePointsecondspherepoint
void NXOpen::Motion::AnalyticalContactBuilder::SetSecondSuperElementIncrement ( int  sSecondSuperElementIncrement)

Sets the second super element increment
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
sSecondSuperElementIncrementssecondsuperelementincrement
void NXOpen::Motion::AnalyticalContactBuilder::SetSpherePoint ( NXOpen::Point spherePoint)

Sets the sphere point
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
spherePointspherepoint
void NXOpen::Motion::AnalyticalContactBuilder::SetSuperElementReportInstance ( int  superElementReportInstance)

Sets the super element report instance
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
superElementReportInstancesuperelementreportinstance
NXOpen::Motion::SelectLink* NXOpen::Motion::AnalyticalContactBuilder::SphereLink ( )

Returns the sphere link
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Point* NXOpen::Motion::AnalyticalContactBuilder::SpherePoint ( )

Returns the sphere point
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Expression* NXOpen::Motion::AnalyticalContactBuilder::SphereRadius ( )

Returns the sphere radius
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

int NXOpen::Motion::AnalyticalContactBuilder::SuperElementReportInstance ( )

Returns the super element report instance
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.